function chaos:internal/stop

# logic/horde_check
scoreboard objectives remove chaos_moon_phase
data remove storage minecraft:chaos horde
data remove storage minecraft:chaos flyin_selected
data remove storage minecraft:chaos flyin_stop_rolling

# chase_player
execute as @e[tag=chaos_agro] run kill @s
execute as @e[tag=chaos_step_up] run kill @s

# mobs/creeper
execute as @e[type=minecraft:creeper] run attribute @s minecraft:movement_speed modifier remove chaos-creeper-speed
execute as @e[type=minecraft:creeper,nbt=!{Fuse:30s}] run data modify entity @s Fuse set value 30s
execute as @e[type=minecraft:creeper,nbt=!{ExplosionRadius:3b}] run data modify entity @s ExplosionRadius set value 3b
execute as @e[type=minecraft:creeper,tag=chaos_creeper_powered] run data modify entity @s powered set value 0b

# mobs/ghast
execute as @e[type=minecraft:ghast,nbt=!{ExplosionPower:1b}] run data modify entity @s ExplosionPower set value 1b

# mobs/slime
# Slimes can only spawn natrually in sizes of 0, 1, and 3. We're going to round down to the nearest number of any slime with the modded tag
# While slimes cannot spawn at size 2, it's possible to have them legetimately by slaying a size 3 slime.
execute as @e[tag=chaos_alone,nbt=!{Size:0}] unless entity @s[nbt={Size:1}] unless entity @s[nbt={Size:2}] unless entity @s[nbt={Size:3}] run data modify entity @s Size set value 3

#apply_attributes
execute as @e run attribute @s minecraft:follow_range modifier remove chaos-follow
execute as @e run attribute @s minecraft:attack_damage modifier remove chaos-damage
execute as @e run attribute @s minecraft:attack_knockback modifier remove chaos-knockback
execute as @e run attribute @s minecraft:movement_speed modifier remove chaos-speed

# ride/zombie_horse
# Players may get 1 or 2 extra rotten flesh for free... But given the harsh rarity of a zombie horse spawn and the high-avaiability of rotten flesh, I'd say it's okay. But no, I'm a perfectionaist.
# So here's my attempt to fix the 'free drops'. Just terminate them where loot will fall into void. Oh, Im evil >:)
execute as @e[tag=chaos_delete_me] run tag @s add chaos_really_delete_me
execute as @e[tag=chaos_really_delete_me] at @s run tp @s ~ -1000 ~
execute as @e[tag=chaos_really_delete_me] run kill @s

# ride/chicken_adult
execute as @e[type=minecraft:chicken,tag=chaos_ride_scale] run attribute @s minecraft:scale base set 1

execute as @e[tag=chaos_creeper_powered] run tag @s remove chaos_creeper_powered
execute as @e[tag=chaos_ride_accessory] run tag @s remove chaos_ride_accessory
execute as @e[tag=chaos_reinforcement] run tag @s remove chaos_reinforcement
execute as @e[tag=chaos_hardened] run tag @s remove chaos_hardened
execute as @e[tag=chaos_mounted] run tag @s remove chaos_mounted
execute as @e[tag=chaos_surface] run tag @s remove chaos_surface
execute as @e[tag=chaos_alone] run tag @s remove chaos_alone
execute as @e[tag=chaos_ride] run tag @s remove chaos_ride
execute as @e[tag=chaos_flyin_snowball_rider] run tag @s remove chaos_flyin_snowball_rider